# $Revision: 1.14 $, $Date: 2002/09/02 14:18:45 $
Summary:	OMS - Open Media System, a multimedia framework
Summary(pl):	rodowisko multimedialne Open Media System
Name:		oms
Version:	0.1.2
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.linuxvideo.org/%{name}/data/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-types.patch
URL:		http://www.linuxvideo.org/oms/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	glib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		 /usr/X11R6

%description
OMS - Open Media System, a multimedia framework.

%description -l pl
rodowisko multimedialne Open Media System (OMS)

%package devel
Summary:	Development libraries and headers of OMS
Summary(pl):	Pliki nagwkowe do OMS
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development libraries and headers of OMS.

%description devel -l pl
Pliki nagwkowe do OMS.

%package static
Summary:	Static libraries of OMS
Summary(pl):	Statyczne biblioteki OMS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries of OMS.

%description static -l pl
Statyczne biblioteki OMS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
aclocal
%{__autoconf}
CFLAGS="%{rpmcflags} -I%{_includedir}"
%configure \
	--enable-static \
	--enable-shared

%{__make} m4datadir=%{_aclocaldir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/b*
%attr(755,root,root) %{_bindir}/c*
%attr(755,root,root) %{_bindir}/d*
%attr(755,root,root) %{_bindir}/n*
%attr(755,root,root) %{_bindir}/oms_*
%attr(755,root,root) %{_bindir}/p*
%attr(755,root,root) %{_bindir}/t*
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/oms
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/oms-config
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_aclocaldir}/*.m4
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: oms.spec,v $
Revision 1.14  2002/09/02 14:18:45  qboosh
- fixed build on 64-bit archs (types patch), new %%doc, release 3

Revision 1.13  2002/05/21 23:14:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/05 17:47:33  kloczek
- cosmetics.

Revision 1.11  2002/02/23 04:05:45  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/02 14:26:39  qboosh
- opt patch to use proper CFLAGS - builds now

Revision 1.7  2001/12/08 02:30:30  blues
- configure macro is back (BR added)
- fix in files
- NOTE: fails while building

Revision 1.6  2001/12/06 13:23:07  qboosh
- adapterized, pl translations, cosmetics, removed bashism

Revision 1.5  2001/10/08 23:57:50  blues
- cosmetisc

Revision 1.4  2001/10/07 22:16:06  marcus
- configure2_13

Revision 1.3  2001/10/03 16:40:45  filon
- changed req %{name} to %{name}-devel in static subpkg
- release 2

Revision 1.2  2001/08/01 21:39:23  saq
- fixed Source0: URL

Revision 1.1  2001/02/18 12:49:39  wrobell
- created from template, stb
